The study of anyonic systems as computational means has led to the exciting discovery of a new quantum algorithm. This algorithm provides a novel paradigm that fundamentally differs from searching (Grover, 1996) and factoring (Shor, 1997) algorithms. It is based on the particular behaviour of anyons and its goal is to evaluate Jones polynomials (Jones, 1985, 2005). These polynomials are topological invariants of knots and links, i.e., they depend on the global characteristics of their strands and not on their local geometry. The Jones polynomials were first connected to topological quantum field theories by Edward Witten (1989). Since then they have found applications in various areas of research, such as biology for DNA reconstruction (Nechaev, 1996) and statistical physics (Kauffman, 1991). The best known classical algorithm for the exact evaluation of the Jones polynomial demands exponential resources (Jaeger et al. , 1990). Employing anyons involves only a polynomial number of resources to produce an approximate answer to this problem (Freedman et al. , 2003b). Evaluating Jones polynomials by manipulating anyons resembles an analogue computer. Indeed, the idea is equivalent to the classical setup, where a wire is wrapped several times around a solenoid that confines magnetic flux. By measuring the current that runs through the wire one can obtain the number of times the wire was wrapped around the solenoid, i.e., their linking number. Similarly, by creating anyons and spanning links with their worldlines we are able to extract the Jones polynomials of these links (Kauffman and Lomanaco, 2006).
The study of anyonic systems as computational means has led to the exciting discovery of a new quantum algorithm. This algorithm provides a novel paradigm that fundamentally differs from searching (Grover, 1996) and factoring (Shor, 1997) algorithms. It is based on the particular behaviour of anyons and its goal is to evaluate Jones polynomials (Jones, 1985, 2005). These polynomials are topological invariants of knots and links, i.e., they depend on the global characteristics of their strands and not on their local geometry. The Jones polynomials were first connected to topological quantum field theories by Edward Witten (1989). Since then they have found applications in various areas of research, such as biology for DNA reconstruction (Nechaev, 1996) and statistical physics (Kauffman, 1991). The best known classical algorithm for the exact evaluation of the Jones polynomial demands exponential resources (Jaeger et al. , 1990). Employing anyons involves only a polynomial number of resources to produce an approximate answer to this problem (Freedman et al. , 2003b). Evaluating Jones polynomials by manipulating anyons resembles an analogue computer. Indeed, the idea is equivalent to the classical setup, where a wire is wrapped several times around a solenoid that confines magnetic flux. By measuring the current that runs through the wire one can obtain the number of times the wire was wrapped around the solenoid, i.e., their linking number. Similarly, by creating anyons and spanning links with their worldlines we are able to extract the Jones polynomials of these links (Kauffman and Lomanaco, 2006).
The Jones polynomial, discovered in 1984, is an important knot invariant in topology. Among its many connections to various mathematical and physical areas, it is known (due to Witten) to be intimately connected to Topological Quantum Field Theory (TQFT). The works of Freedman, Kitaev, Larsen and Wang provide an efficient simulation of TQFT by a quantum computer, and vice versa. These results implicitly imply the existence of an efficient quantum algorithm that provides a certain additive approximation of the Jones polynomial at the fifth root of unity, e^{2πi/5}, and moreover, that this problem is BQP-complete. Unfortunately, this important algorithm was never explicitly formulated. Moreover, the results mentioned are heavily based on TQFT, which makes the algorithm essentially inaccessible to computer scientists. We provide an explicit and simple polynomial quantum algorithm to approximate the Jones polynomial of an n-strands braid with m crossings at any primitive root of unity e^{2πi/k}, where the running time of the algorithm is polynomial in m,n and k. Our algorithm is based, rather than on TQFT, on well known mathematical results. By the results of Freedman et. al., our algorithm solves a BQP complete problem. The algorithm we provide exhibits a structure which we hope is generalizable to other quantum algorithmic problems. Candidates of particular interest are the approximations of other #P-hard problems, most notably, the partition function of the Potts model, a model which is known to be tightly connected to the Jones polynomial.
The Jones polynomial, discovered in 1984 [18], is an important knot invariant in topology. Among its many connections to various mathematical and physical areas, it is known (due to Witten [32]) to be intimately connected to Topological Quantum Field Theory (TQFT). The works of Freedman, Kitaev, Larsen and Wang [13, 14] provide an efficient simulation of TQFT by a quantum computer, and vice versa. These results implicitly imply the existence of an efficient quantum algorithm that provides a certain additive approximation of the Jones polynomial at the fifth root of unity, e2π i/5, and moreover, that this problem is BQP-complete. Unfortunately, this important algorithm was never explicitly formulated. Moreover, the results in [13, 14] are heavily based on TQFT, which makes the algorithm essentially inaccessible to computer scientists.We provide an explicit and simple polynomial quantum algorithm to approximate the Jones polynomial of an n strands braid with m crossings at any primitive root of unity e2π i/k, where the running time of the algorithm is polynomial in m,n and k. Our algorithm is based, rather than on TQFT, on well known mathematical results (specifically, the path model representation of the braid group and the uniqueness of the Markov trace for the Temperly Lieb algebra). By the results of [14], our algorithm solves a BQP complete problem.The algorithm we provide exhibits a structure which we hope is generalizable to other quantum algorithmic problems. Candidates of particular interest are the approximations of other downwards self-reducible P-hard problems, most notably, the Potts model.
We analyze the connections between the mathematical theory of knots and quantum physics by addressing a number of algorithmic questions related to both knots and braid groups. Knots can be distinguished by means of “knot invariants,” among which the Jones polynomial plays a prominent role, since it can be associated with observables in topological quantum field theory. Although the problem of computing the Jones polynomial is intractable in the framework of classical complexity theory, it has been recently recognized that a quantum computer is capable of approximating it in an efficient way. The quantum algorithms discussed here represent a breakthrough for quantum computation, since approximating the Jones polynomial is actually a “universal problem,” namely, the hardest problem that a quantum computer can efficiently handle.
Abstract Topological quantum computers promise a fault tolerant means to perform quantum computation. Topological quantum computers use particles with exotic exchange statistics called non-Abelian anyons, and the simplest anyon model which allows for universal quantum computation by particle exchange or braiding alone is the Fibonacci anyon model. One classically hard problem that can be solved efficiently using quantum computation is finding the value of the Jones polynomial of knots at roots of unity. We aim to provide a pedagogical, self-contained, review of topological quantum computation with Fibonacci anyons, from the braiding statistics and matrices to the layout of such a computer and the compiling of braids to perform specific operations. Then we use a simulation of a topological quantum computer to explicitly demonstrate a quantum computation using Fibonacci anyons, evaluating the Jones polynomial of a selection of simple knots. In addition to simulating a modular circuit-style quantum algorithm, we also show how the magnitude of the Jones polynomial at specific points could be obtained exactly using Fibonacci or Ising anyons. Such an exact algorithm seems ideally suited for a proof of concept demonstration of a topological quantum computer.
Topological quantum computers promise a fault tolerant means to perform quantum computation. Topological quantum computers use particles with exotic exchange statistics called non-Abelian anyons, and the simplest anyon model which allows for universal quantum computation by particle exchange or braiding alone is the Fibonacci anyon model. One classically hard problem that can be solved efficiently using quantum computation is finding the value of the Jones polynomial of knots at roots of unity. We aim to provide a pedagogical, self-contained, review of topological quantum computation with Fibonacci anyons, from the braiding statistics and matrices to the layout of such a computer and the compiling of braids to perform specific operations. Then we use a simulation of a topological quantum computer to explicitly demonstrate a quantum computation using Fibonacci anyons, evaluating the Jones polynomial of a selection of simple knots.
Freedman, Kitaev, and Wang proved the equivalence between quantum field theory and quantum computation, and consequently showed that the problem of approximating the Jones polynomial (a knot invariant) at the fifth root of unity is BQP-complete. Recently, Aharonov, Jones, and Landau proposed a concrete quantum algorithm, called the AJL algorithm, that approximates the Jones polynomial at the kth root of unity in polynomial time. In this paper, we propose a new method for implementing the AJL algorithm, which improves the performance from O(mnlog2k) to O(mn). Here, n is the number of strands, m is the number of the crossings in a braid. Since, in the AJL algorithm, m and k are assumed to be given as polynomials in n, the difference in the performance between the original implementation and our design is significant if k is a large-degree polynomial.